View Issue Details

IDProjectCategoryView StatusLast Update
14659Feature requests[All Projects] _ Unknownpublic2019-05-02 13:42
ReporterkubazajaczkowskiAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0dev 
Summary14659: uploaded files filename pattern.
Description

There is an issue using multiple file upload questions in a survey. When a respondent submits a file with the same filename (or the same file) to multiple questions, the ability to match files to responses is lost when files are downloaded.

Example:
Let's have a survey with two file upload questions (Q1 and Q2), each allowing 1 file. The user responds to both questions by uploading files with the same filename.
Then, when you use "Download files" function from responses menu, you get a zip with files that can't be assigned to a question.
They are named using the following pattern: <responseid><seqno><orig_filename>, so for example: 00001_01_picture.jpg and 00001_02_picture.jpg
There is no way to tell which of those pictures is response to Q1 and which to Q2.

A simple fix would be to use the following pattern to name files for download <responseid><seqno><querycode><orig_filename>

This would also make working with file responses much easier, without the need to match file names.

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2019-03-18 15:59

developer   ~51034

I think it was surveyid_QuestionCode_index_SendedFileName (and think it's better to have the question code before the index)

kubazajaczkowski

kubazajaczkowski

2019-03-18 20:35

reporter   ~51043

If it would be like this it would be great . Unfortunately the QuestionCode part is missing - please see the example (p1-p4 are filenames)



att1.png (13,570 bytes)
att1.png (13,570 bytes)
DenisChenu

DenisChenu

2019-03-19 08:28

developer   ~51044

I look at 2.6lts and 2.73 : same issue … then in 4.0 ?

DenisChenu

DenisChenu

2019-03-22 14:33

developer   ~51094

Last edited: 2019-03-22 14:34

View 3 revisions

https://github.com/LimeSurvey/LimeSurvey/pull/1247

Final {$srid}_{$indexForSrid}-{$qcode}_{$indexInQ}-OriginalFileName

DenisChenu

DenisChenu

2019-05-02 13:41

developer   ~51722

https://github.com/LimeSurvey/LimeSurvey/commit/4dcf1f236cabbb2fa9f0624d9885dde1a924be50

DenisChenu

DenisChenu

2019-05-02 13:42

developer  

Issue History

Date Modified Username Field Change
2019-03-18 14:40 kubazajaczkowski New Issue
2019-03-18 15:59 DenisChenu Note Added: 51034
2019-03-18 20:35 kubazajaczkowski File Added: att1.png
2019-03-18 20:35 kubazajaczkowski Note Added: 51043
2019-03-19 08:18 DenisChenu Assigned To => DenisChenu
2019-03-19 08:18 DenisChenu Status new => assigned
2019-03-19 08:28 DenisChenu Note Added: 51044
2019-03-22 14:25 DenisChenu Summary Fix download uploaded files filaneme pattern. => uploaded files filename pattern.
2019-03-22 14:33 DenisChenu Note Added: 51094
2019-03-22 14:34 DenisChenu Note Edited: 51094 View Revisions
2019-03-22 14:34 DenisChenu Note Edited: 51094 View Revisions
2019-05-02 13:41 DenisChenu Status assigned => resolved
2019-05-02 13:41 DenisChenu Resolution open => fixed
2019-05-02 13:41 DenisChenu Fixed in Version => 4.0.0dev
2019-05-02 13:41 DenisChenu Note Added: 51722
2019-05-02 13:42 DenisChenu Status resolved => feedback
2019-05-02 13:42 DenisChenu Resolution fixed => reopened
2019-05-02 13:42 DenisChenu File Added: 54825837-bec34700-4cae-11e9-9c7c-e215762db0c6.png
2019-05-02 13:42 DenisChenu Status feedback => resolved
2019-05-02 13:42 DenisChenu Resolution reopened => fixed